You are receiving this mail as a port that you maintain
is failing to build on the FreeBSD package build server.
Please investigate the failure and submit a PR to fix
build.

Maintainer:     po...@freebsd.org
Last committer: b...@freebsd.org
Ident:          $FreeBSD: head/databases/flare/Makefile 327717 2013-09-20 
16:13:47Z bapt $
Log URL:        
http://beefy2.isc.freebsd.org/bulk/head-amd64-default/2013-12-13_10h32m20s/logs/flare-db-1.0.9_4.log
Build URL:      
http://beefy2.isc.freebsd.org/bulk/head-amd64-default/2013-12-13_10h32m20s
Log:

====>> Building databases/flare
build started at Sat Dec 14 05:22:17 UTC 2013
port directory: /usr/ports/databases/flare
building for: FreeBSD head-amd64-default-job-16 11.0-CURRENT FreeBSD 
11.0-CURRENT r256430 amd64
maintained by: po...@freebsd.org
Makefile ident:      $FreeBSD: head/databases/flare/Makefile 327717 2013-09-20 
16:13:47Z bapt $
Poudriere version: 3.1-pre

---Begin Environment---
OSVERSION=1100000
UNAME_v=FreeBSD 11.0-CURRENT r256430
UNAME_r=11.0-CURRENT
BLOCKSIZE=K
MAIL=/var/mail/root
PATH=/sbin:/bin:/usr/sbin:/usr/bin:/usr/games:/usr/local/sbin:/usr/local/bin:/root/bin
STATUS=1
MASTERMNT=/usr/local/poudriere/data/build/head-amd64-default/ref
PKG_EXT=txz
tpid=84972
POUDRIERE_BUILD_TYPE=bulk
PKGNG=1
PKGNAME=flare-db-1.0.9_4
PKG_DELETE=/usr/local/sbin/pkg-static delete -y -f
PKG_ADD=/usr/local/sbin/pkg-static add
PWD=/root
MASTERNAME=head-amd64-default
USER=root
HOME=/root
POUDRIERE_VERSION=3.1-pre
LOCALBASE=/usr/local
PACKAGE_BUILDING=yes
PKG_VERSION=/poudriere/pkg-static version
PKG_BIN=/usr/local/sbin/pkg-static
---End Environment---

---Begin OPTIONS List---
---End OPTIONS List---

--CONFIGURE_ARGS--
--prefix=/usr/local ${_LATE_CONFIGURE_ARGS}
--End CONFIGURE_ARGS--

--CONFIGURE_ENV--
TMPDIR="/tmp" TMPDIR="/tmp" SHELL=/bin/sh CONFIG_SHELL=/bin/sh 
CONFIG_SITE=/usr/ports/Templates/config.site lt_cv_sys_max_cmd_len=262144
--End CONFIGURE_ENV--

--MAKE_ENV--
TMPDIR="/tmp" TMPDIR="/tmp" SHELL=/bin/sh NO_LINT=YES PREFIX=/usr/local  
LOCALBASE=/usr/local  LIBDIR="/usr/lib"  CC="cc" CFLAGS="-O2 -pipe 
-fno-strict-aliasing"  CPP="cpp" CPPFLAGS="-I/usr/local/include -DHAVE_KQUEUE"  
LDFLAGS=" -L/usr/local/lib"  CXX="c++" CXXFLAGS="-O2 -pipe 
-fno-strict-aliasing"  MANPREFIX="/usr/local" BSD_INSTALL_PROGRAM="install  -s 
-o root -g wheel -m 555"  BSD_INSTALL_LIB="install  -s -o root -g wheel -m 444" 
 BSD_INSTALL_SCRIPT="install  -o root -g wheel -m 555"  
BSD_INSTALL_DATA="install  -o root -g wheel -m 444"  BSD_INSTALL_MAN="install  
-o root -g wheel -m 444"
--End MAKE_ENV--

--SUB_LIST--
PREFIX=/usr/local
LOCALBASE=/usr/local
DATADIR=/usr/local/share/flare
DOCSDIR=/usr/local/share/doc/flare
EXAMPLESDIR=/usr/local/share/examples/flare
WWWDIR=/usr/local/www/flare
ETCDIR=/usr/local/etc/flare
--End SUB_LIST--

---Begin make.conf---
USE_PACKAGE_DEPENDS=yes
BATCH=yes
WRKDIRPREFIX=/wrkdirs
PORTSDIR=/usr/ports
PACKAGES=/packages
DISTDIR=/distfiles
#### /usr/local/etc/poudriere.d/make.conf ####
WITH_PKGNG=yes
NO_RESTRICTED=yes
DISABLE_MAKE_JOBS=poudriere
---End make.conf---
===>  Cleaning for flare-db-1.0.9_4
=======================<phase: check-config   >============================
===========================================================================
=======================<phase: pkg-depends    >============================
===>   flare-db-1.0.9_4 depends on file: /usr/local/sbin/pkg - not found
===>    Verifying install for /usr/local/sbin/pkg in /usr/ports/ports-mgmt/pkg
===>   Installing existing package /packages/All/pkg-1.2.3.txz
Installing pkg-1.2.3... done
If you are upgrading from the old package format, first run:

  # pkg2ng
===>   Returning to build of flare-db-1.0.9_4
===========================================================================
=======================<phase: fetch-depends  >============================
===========================================================================
=======================<phase: fetch          >============================
===>  License GPLv2 accepted by the user
===> Fetching all distfiles required by flare-db-1.0.9_4 for building
===========================================================================
=======================<phase: checksum       >============================
===>  License GPLv2 accepted by the user
===> Fetching all distfiles required by flare-db-1.0.9_4 for building
=> SHA256 Checksum OK for flare-1.0.9.tgz.
===========================================================================
=======================<phase: extract-depends>============================
===========================================================================
=======================<phase: extract        >============================
===>  License GPLv2 accepted by the user
===> Fetching all distfiles required by flare-db-1.0.9_4 for building
===>  Extracting for flare-db-1.0.9_4
=> SHA256 Checksum OK for flare-1.0.9.tgz.
===========================================================================
=======================<phase: patch-depends  >============================
===========================================================================
=======================<phase: patch          >============================
===>  Patching for flare-db-1.0.9_4
===>  Applying FreeBSD patches for flare-db-1.0.9_4
===========================================================================
=======================<phase: build-depends  >============================
===========================================================================
=======================<phase: lib-depends    >============================
===>   flare-db-1.0.9_4 depends on shared library: libboost_program_options.so 
- not found
===>    Verifying for libboost_program_options.so in /usr/ports/devel/boost-libs
===>   Installing existing package /packages/All/boost-libs-1.52.0_2.txz
Installing boost-libs-1.52.0_2...Installing icu-50.1.2... done
 done
You have built the Boost library with thread support.

Don't forget to add -pthread to your linker options when
linking your code.
===>   Returning to build of flare-db-1.0.9_4
===>   flare-db-1.0.9_4 depends on shared library: libtokyocabinet.so - not 
found
===>    Verifying for libtokyocabinet.so in /usr/ports/databases/tokyocabinet
===>   Installing existing package /packages/All/tokyocabinet-1.4.48.txz
Installing tokyocabinet-1.4.48... done
===>   Returning to build of flare-db-1.0.9_4
===========================================================================
=======================<phase: configure      >============================
===>  Configuring for flare-db-1.0.9_4
===>   FreeBSD 10 autotools fix applied to 
/wrkdirs/usr/ports/databases/flare/work/flare-1.0.9/aclocal.m4
===>   FreeBSD 10 autotools fix applied to 
/wrkdirs/usr/ports/databases/flare/work/flare-1.0.9/configure
configure: loading site script /usr/ports/Templates/config.site
checking for a BSD-compatible install... /usr/bin/install -c -o root -g wheel
checking whether build environment is sane... yes
checking for a thread-safe mkdir -p... (cached) /bin/mkdir -p
checking for gawk... (cached) /usr/bin/awk
checking whether make sets $(MAKE)... yes
checking build system type... amd64-portbld-freebsd11.0
checking host system type... amd64-portbld-freebsd11.0
checking for C++ compiler default output file name... a.out
checking whether the C++ compiler works... yes
checking whether we are cross compiling... no
checking for suffix of executables... 
checking for suffix of object files... o
checking whether we are using the GNU C++ compiler... yes
checking whether c++ accepts -g... yes
checking for style of include used by make... GNU
checking dependency style of c++... gcc3
checking for gcc... cc
checking whether we are using the GNU C compiler... yes
checking whether cc accepts -g... yes
checking for cc option to accept ISO C89... none needed
checking dependency style of cc... gcc3
checking for ranlib... ranlib
checking for main in -lboost_program_options... yes
checking for main in -lboost_regex... yes
checking for main in -lboost_serialization... yes
checking for pthread_create in -lpthread... yes
checking for main in -ltokyocabinet... yes
checking if mysql replication is enabled... no
checking if flarefs is enabled... no
checking how to run the C++ preprocessor... c++ -E
checking for grep that handles long lines and -e... (cached) /usr/bin/grep
checking for egrep... (cached) /usr/bin/egrep
checking for ANSI C header files... (cached) yes
checking for sys/types.h... (cached) yes
checking for sys/stat.h... (cached) yes
checking for stdlib.h... (cached) yes
checking for string.h... (cached) yes
checking for memory.h... (cached) yes
checking for strings.h... (cached) yes
checking for inttypes.h... (cached) yes
checking for stdint.h... (cached) yes
checking for unistd.h... (cached) yes
checking pthread.h usability... yes
checking pthread.h presence... yes
checking for pthread.h... yes
checking for gethostbyname_r... yes
checking for epoll_create... no
checking for gnu specific strerror_r... no
checking if debug is enabled... no
checking if memory allocation check is enabled... no
configure: creating ./config.status
config.status: creating Makefile
config.status: creating src/Makefile
config.status: creating src/lib/Makefile
config.status: creating src/flared/Makefile
config.status: creating src/flarei/Makefile
config.status: creating src/flarefs/Makefile
config.status: creating src/config.h
config.status: executing depfiles commands
===========================================================================
=======================<phase: build          >============================
===>  Building for flare-db-1.0.9_4
Making all in src
/usr/bin/make  all-recursive
Making all in lib
c++ -Wall -pthread -D_REENTRANT -D_THREAD_SAFE -I. -I../../src    
-I/usr/local/include -DHAVE_KQUEUE  -O2 -pipe -fno-strict-aliasing -MT app.o 
-MD -MP -MF .deps/app.Tpo -c -o app.o app.cc
In file included from app.cc:10:
In file included from ./app.h:42:
./util.h:56:9: error: unknown type name 'shared_ptr'
typedef shared_ptr<uint8_t> shared_byte;
        ^
./util.h:56:19: error: expected unqualified-id
typedef shared_ptr<uint8_t> shared_byte;
                  ^
In file included from app.cc:10:
In file included from ./app.h:43:
./connection.h:20:9: error: unknown type name 'shared_ptr'
typedef shared_ptr<connection> shared_connection;
        ^
./connection.h:20:19: error: expected unqualified-id
typedef shared_ptr<connection> shared_connection;
                  ^
In file included from app.cc:10:
In file included from ./app.h:44:
./server.h:62:9: error: use of undeclared identifier 'shared_connection'
        vector<shared_connection> wait();
               ^
In file included from app.cc:10:
In file included from ./app.h:45:
In file included from ./client.h:12:
In file included from ./op_get.h:11:
In file included from ./op_proxy_read.h:13:
In file included from ./op.h:17:
In file included from ./thread.h:25:
./thread_queue.h:27:9: error: unknown type name 'shared_ptr'
typedef shared_ptr<thread_queue> shared_thread_queue;
        ^
./thread_queue.h:27:19: error: expected unqualified-id
typedef shared_ptr<thread_queue> shared_thread_queue;
                  ^
./thread_queue.h:46:18: error: unknown type name 'shared_connection'
        virtual int run(shared_connection c);
                        ^
In file included from app.cc:10:
In file included from ./app.h:45:
In file included from ./client.h:12:
In file included from ./op_get.h:11:
In file included from ./op_proxy_read.h:13:
In file included from ./op.h:17:
./thread.h:34:9: error: unknown type name 'shared_ptr'
typedef shared_ptr<thread>              shared_thread;
        ^
./thread.h:34:19: error: expected unqualified-id
typedef shared_ptr<thread>              shared_thread;
                  ^
./thread.h:35:9: error: unknown type name 'weak_ptr'
typedef weak_ptr<thread>                        weak_thread;
        ^
./thread.h:35:17: error: expected unqualified-id
typedef weak_ptr<thread>                        weak_thread;
                ^
./thread.h:68:2: error: unknown type name 'weak_thread'
        weak_thread                                             _myself;
        ^
./thread.h:90:8: error: use of undeclared identifier 'shared_thread_queue'
        queue<shared_thread_queue>      _thread_queue;
              ^
./thread.h:98:14: error: unknown type name 'weak_thread'
        int startup(weak_thread myself, int stack_size);
                    ^
./thread.h:108:14: error: unknown type name 'shared_thread_queue'
        int dequeue(shared_thread_queue& q, int timeout);
                    ^
./thread.h:109:14: error: unknown type name 'shared_thread_queue'
        int enqueue(shared_thread_queue& q);
                    ^
./thread.h:121:2: error: unknown type name 'shared_thread'
        shared_thread get_shared_thread() { return this->_myself.lock(); };
        ^
In file included from app.cc:10:
In file included from ./app.h:45:
In file included from ./client.h:12:
In file included from ./op_get.h:11:
In file included from ./op_proxy_read.h:13:
In file included from ./op.h:18:
./storage.h:94:3: error: unknown type name 'shared_byte'
                shared_byte                                     data;
                ^
fatal error: too many errors emitted, stopping now [-ferror-limit=]
20 errors generated.
*** Error code 1

Stop.
make[4]: stopped in /wrkdirs/usr/ports/databases/flare/work/flare-1.0.9/src/lib
*** Error code 1

Stop.
make[3]: stopped in /wrkdirs/usr/ports/databases/flare/work/flare-1.0.9/src
*** Error code 1

Stop.
make[2]: stopped in /wrkdirs/usr/ports/databases/flare/work/flare-1.0.9/src
*** Error code 1

Stop.
make[1]: stopped in /wrkdirs/usr/ports/databases/flare/work/flare-1.0.9
*** Error code 1

Stop.
make: stopped in /usr/ports/databases/flare
===>  Cleaning for flare-db-1.0.9_4
_______________________________________________
freebsd-pkg-fallout@freebsd.org mailing list
https://lists.freebsd.org/mailman/listinfo/freebsd-pkg-fallout
To unsubscribe, send any mail to "freebsd-pkg-fallout-unsubscr...@freebsd.org"

Reply via email to